Skip to main content
GET
/
2025-09
/
deals
/
stages
List all Stages
curl --request GET \
  --url https://public-api.stora.co/2025-09/deals/stages \
  --header 'Authorization: Bearer <token>'
{
  "stages": [
    {
      "id": "dstg_127b3057d5df338e",
      "created_at": "2025-02-22T14:41:00Z",
      "name": "first",
      "position": 1,
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "dstg_237b3057d5df338e",
      "created_at": "2025-02-22T14:41:00Z",
      "name": "second",
      "position": 2,
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "dstg_347b3057d5df338e",
      "created_at": "2025-02-22T14:41:00Z",
      "name": "third",
      "position": 4,
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 3,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at,
position
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC

Response

200 - application/json

list of stages

List of Deal Stages

stages
object[]
meta
object